# Uses of Class
org.picocontainer.parameters.ComponentParameter

Packages that use ComponentParameter
Package
Description
org.picocontainer.parameters

## Uses of ComponentParameter in org.picocontainer.parameters

Fields in org.picocontainer.parameters declared as ComponentParameter
Modifier and Type
Field
Description
`static final ComponentParameter`
ComponentParameter.`ARRAY`
Use `ARRAY` as `Parameter`for an Array that must have elements.
`static final ComponentParameter`
ComponentParameter.`ARRAY_ALLOW_EMPTY`
Use `ARRAY_ALLOW_EMPTY` as `Parameter`for an Array that may have no elements.
`static final ComponentParameter`
ComponentParameter.`DEFAULT`
`DEFAULT` is an instance of ComponentParameter using the default constructor.